Align requirements in all projects to global-requirements

Bug #1469045 reported by Sebastian Kalinowski on 2015-06-26
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Fuel for OpenStack
High
Roman Prykhodchenko
7.0.x
Undecided
Unassigned
8.0.x
High
Roman Prykhodchenko
Mitaka
High
Roman Prykhodchenko

Bug Description

Due to a lot of changes in openstack libraries and recent drop of 'oslo' namespace we have to introduce a lot of strange pining in requirementes of our projects.

We have to align with global-requirements both requirements in Python and in packages in our mirros.

Issue caused by this:

https://ci.fuel-infra.org/job/verify-python-fuelclient/127/console
https://bugs.launchpad.net/fuel/+bug/1466733
https://bugs.launchpad.net/fuel/+bug/1466344
https://bugs.launchpad.net/fuel/+bug/1464132

Dmitry Pyzhov (dpyzhov) on 2015-08-03
tags: added: tech-debt
Changed in fuel:
milestone: 6.1 → 7.0
Sebastian Kalinowski (prmtl) wrote :

We do not want to risk with updating packages right now and we also need a time to design a global solution for all our Python based modules. Moving to 8.0

Changed in fuel:
milestone: 7.0 → 8.0
tags: added: qa-agree-8.0
Dmitry Pyzhov (dpyzhov) on 2015-10-22
tags: added: area-python
Dmitry Pyzhov (dpyzhov) on 2015-11-21
tags: added: blocked
Dmitry Pyzhov (dpyzhov) on 2015-12-14
tags: removed: blocked
Changed in fuel:
assignee: Fuel Python Team (fuel-python) → Roman Prykhodchenko (romcheg)

Fix proposed to branch: master
Review: https://review.openstack.org/257508

Changed in fuel:
status: Triaged → In Progress
Changed in fuel:
assignee: Roman Prykhodchenko (romcheg) → Artem Roma (aroma-x)
Changed in fuel:
assignee: Artem Roma (aroma-x) → Roman Prykhodchenko (romcheg)
Changed in fuel:
milestone: 8.0 → 9.0
status: In Progress → New

Looks like status was changes mistakenly. Reverting back.

Changed in fuel:
status: New → In Progress
Dmitry Pyzhov (dpyzhov) wrote :

We passed FF for 8.0. Moving tech-debt bug to 9.0

no longer affects: fuel/future

Fix proposed to branch: master
Review: https://review.openstack.org/281522

Fix proposed to branch: master
Review: https://review.openstack.org/281995

Reviewed: https://review.openstack.org/281512
Committed: https://git.openstack.org/cgit/openstack/shotgun/commit/?id=9300fdbbaaa0363854b3c018f0a598ac138b458b
Submitter: Jenkins
Branch: master

commit 9300fdbbaaa0363854b3c018f0a598ac138b458b
Author: Roman Prykhodchenko <email address hidden>
Date: Wed Feb 17 18:24:48 2016 +0100

    Synchronize with global requirements

    This patch allignes both versions and order of packages in requirements.txt
    and test-requirements.txt with master revision of OpenStack's global
    requirements in Mitaka release cycle.

    In order to perform the soft sync all settings from setup.py were moved to
    setup.cfg and setup.py was autogenerated using cookiecutter and the default
    project template for OpenStack projects.

    Partial-bug: #1469045
    Change-Id: I9d99517b9016f61904ab5e25d8ffb39cfb0c1119

Reviewed: https://review.openstack.org/281522
Committed: https://git.openstack.org/cgit/openstack/shotgun/commit/?id=a9e5b7644a172e11cf5714a49aaed7c6faa4f910
Submitter: Jenkins
Branch: master

commit a9e5b7644a172e11cf5714a49aaed7c6faa4f910
Author: Roman Prykhodchenko <email address hidden>
Date: Wed Feb 17 21:53:00 2016 +0100

    Use common tools to run tests

    In order to correspond to global requirements and integrate
    depper with OpenStack CI this patch switches shotgun from
    py.test and unittest2 to testrepository and oslotest.

    Partial-bug: #1469045
    Change-Id: Ic0abb5e8e62113be300f871b065f9cc48cd381a5

Reviewed: https://review.openstack.org/281952
Committed: https://git.openstack.org/cgit/openstack/network-checker/commit/?id=3309949228cd80c3e954c3f11a9655a0eb4bc5d1
Submitter: Jenkins
Branch: master

commit 3309949228cd80c3e954c3f11a9655a0eb4bc5d1
Author: Roman Prykhodchenko <email address hidden>
Date: Thu Feb 18 17:24:24 2016 +0100

    Synchronize with global requirements

    This patch allignes both versions and order of packages in
    requirements.txt and test-requirements.txt with master revision
    of OpenStack's global requirements in Mitaka release cycle.

    In order to perform the soft sync all settings from setup.py were
    moved to setup.cfg and setup.py was autogenerated using cookiecutter
    and the default project template for OpenStack projects.

    Partial-bug: #1469045
    Change-Id: I4486a6b5474b15fb2261c2642895064d80877618

Reviewed: https://review.openstack.org/281995
Committed: https://git.openstack.org/cgit/openstack/network-checker/commit/?id=5ae462d039b94dc80207ee35422877ed850a076b
Submitter: Jenkins
Branch: master

commit 5ae462d039b94dc80207ee35422877ed850a076b
Author: Roman Prykhodchenko <email address hidden>
Date: Thu Feb 18 19:11:41 2016 +0100

    Use common tools to run tests

    In order to correspond to global requirements and integrate
    deeper with OpenStack CI this patch switches network-checker
    from py.test and unittest2 to testrepository and oslotest.

    Change-Id: Iabc71a0c58caab354cabbe90691a790c0cab46f0
    Partial-bug: #1469045

Reviewed: https://review.openstack.org/281866
Committed: https://git.openstack.org/cgit/openstack/python-fuelclient/commit/?id=2df9cf0bfed38433c3f5a56db7707c6e31647d1b
Submitter: Jenkins
Branch: master

commit 2df9cf0bfed38433c3f5a56db7707c6e31647d1b
Author: Roman Prykhodchenko <email address hidden>
Date: Thu Feb 18 14:42:23 2016 +0100

    Update requirements

    This patch synchronizes all requirements with master
    version of Global Requirements for Mitaka release.

    Partial-bug: #1469045
    Change-Id: Id5148b373b969f56bfc3ebc1e84a8ff04934c4c5

Reviewed: https://review.openstack.org/291229
Committed: https://git.openstack.org/cgit/openstack/python-fuelclient/commit/?id=68d4b32bba2c544486d4bd22d8b5214a67707951
Submitter: Jenkins
Branch: master

commit 68d4b32bba2c544486d4bd22d8b5214a67707951
Author: Roman Prykhodchenko <email address hidden>
Date: Thu Mar 10 15:37:54 2016 +0100

    Use common tools to fire up tests

    This patch uses os-testr in order to fire up tests
    and allow to parametrize them in the way that is
    common for the rest of OpenStack projects.

    Change-Id: I6ef493f63675c63c8bad409cb15960582344c046
    Partial-bug: #1469045

Fix proposed to branch: master
Review: https://review.openstack.org/298716

Fix proposed to branch: master
Review: https://review.openstack.org/298791

Reviewed: https://review.openstack.org/298712
Committed: https://git.openstack.org/cgit/openstack/shotgun/commit/?id=a936a4b1940237360f2e3a7c1bcc9442c71e3fc4
Submitter: Jenkins
Branch: master

commit a936a4b1940237360f2e3a7c1bcc9442c71e3fc4
Author: Roman Prykhodchenko <email address hidden>
Date: Tue Mar 29 14:39:00 2016 +0200

    Synchronize with global requirements

    This patch allignes both versions and order of packages in requirements.txt
    and test-requirements.txt with master revision of OpenStack's global
    requirements in Mitaka release cycle.

    In order to perform the soft sync all settings from setup.py were moved to
    setup.cfg and setup.py was autogenerated using cookiecutter and the default
    project template for OpenStack projects.

    Change-Id: Iabf7a0fd8e3b01ea1712a663782399631b186f10
    Partial-bug: #1469045

Reviewed: https://review.openstack.org/298716
Committed: https://git.openstack.org/cgit/openstack/shotgun/commit/?id=6ba2521f90d5c0fc05e83a39de75b56011f6c43d
Submitter: Jenkins
Branch: master

commit 6ba2521f90d5c0fc05e83a39de75b56011f6c43d
Author: Roman Prykhodchenko <email address hidden>
Date: Tue Mar 29 14:44:26 2016 +0200

    Use common tools to run tests

    In order to correspond to global requirements and integrate
    depper with OpenStack CI this patch switches shotgun from
    py.test and unittest2 to testrepository and oslotest.

    Change-Id: I08e31a5c16f4ad55c096d340eb2e2bff4fdb0a36
    Partial-bug: #1469045

Change abandoned by Fuel DevOps Robot (<email address hidden>) on branch: master
Review: https://review.openstack.org/257508
Reason: This review is > 4 weeks without comment, and failed Jenkins the last time it was checked. We are abandoning this for now. Feel free to reactivate the review by pressing the restore button and leaving a 'recheck' comment to get fresh test results.

Changed in fuel:
milestone: 9.0 → 10.0
Dmitry Pyzhov (dpyzhov) wrote :

The only repo that is left is fuel-web and it will be done during migration to Newton. Closing the bug.

Changed in fuel:
status: In Progress → Fix Committed
tags: added: on-verification

Verified

tags: removed: on-verification

Verified on 9.0 #330

Change abandoned by Roman Prykhodchenko (<email address hidden>) on branch: master
Review: https://review.openstack.org/298783
Reason: I will continue working on this patch in the future.

Change abandoned by Roman Prykhodchenko (<email address hidden>) on branch: master
Review: https://review.openstack.org/298791
Reason: I will continue working on this patch in the future.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers